| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Functions
RF Ports
Low-level Functions

## Description

These functions provide the ability to select various RF ports for RX and TX channels. This is normally handled automatically.

These functions are thread-safe.

## Functions
API_EXPORT int CALL_CONV | bladerf_set_rf_port (struct bladerf *dev, bladerf_channel ch, const char *port)
API_EXPORT int CALL_CONV | bladerf_get_rf_port (struct bladerf *dev, bladerf_channel ch, const char **port)
API_EXPORT int CALL_CONV | bladerf_get_rf_ports (struct bladerf *dev, bladerf_channel ch, const char **ports, unsigned int count)

## Function Documentation

## ◆ bladerf_get_rf_port()

API_EXPORT int CALL_CONV bladerf_get_rf_port | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | const char ** | port )

Get the RF port

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [out] | port | RF port name

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_get_rf_ports()

API_EXPORT int CALL_CONV bladerf_get_rf_ports | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | const char ** | ports,
|  | unsigned int | count )

Get available RF ports

This function may be called with NULL for ports, or 0 for count, to determine the number of RF ports.

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [out] | ports | RF port names
  [out] | count | Number to populate

Returns
  Number of RF ports on success, value from Error codes list on failure

## ◆ bladerf_set_rf_port()

API_EXPORT int CALL_CONV bladerf_set_rf_port | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | const char * | port )

Set the RF port

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [in] | port | RF port name

Returns
  0 on success, value from Error codes list on failure